<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Kodama.DbC</name>
    </assembly>
    <members>
        <member name="T:Kodama.DbC.Constraint.PreConditionAttribute">
            <summary>
            事前条件
            </summary>
        </member>
        <member name="F:Kodama.DbC.Constraint.PreConditionAttribute.expression">
            <summary>
            式
            </summary>
        </member>
        <member name="M:Kodama.DbC.Constraint.PreConditionAttribute.#ctor(System.String)">
            <summary>
            コンストラクタ
            </summary>
            <param name="exp">事前条件の式</param>
            <remarks>
            式はJScript形式で指定します
            </remarks>
        </member>
        <member name="M:Kodama.DbC.Constraint.PreConditionAttribute.Constraint(Kodama.Aop.JoinPoint.MethodInvocation)">
            <summary>
            事後条件の評価
            </summary>
            <param name="invocation">事前条件を判定するメソッド</param>
            <returns>
            事後条件を満たすかどうか
            </returns>
        </member>
        <member name="T:Kodama.DbC.Constraint.PostConditionAttribute">
            <summary>
            事後条件
            </summary>
        </member>
        <member name="F:Kodama.DbC.Constraint.PostConditionAttribute.expression">
            <summary>
            式
            </summary>
        </member>
        <member name="M:Kodama.DbC.Constraint.PostConditionAttribute.#ctor(System.String)">
            <summary>
            コンストラクタ
            </summary>
            <param name="exp">事前条件の式</param>
            <remarks>
            式はJScript形式で指定します
            </remarks>
        </member>
        <member name="M:Kodama.DbC.Constraint.PostConditionAttribute.Constraint(Kodama.Aop.JoinPoint.MethodInvocation,System.Object,System.Object[])">
            <summary>
            事前条件の評価
            </summary>
            <param name="invocation">事後条件を判定するメソッド</param>
            <param name="returnValue">事後条件を判定する戻り値</param>
            <param name="outArguments">事後条件を判定する出力引数</param>
            <returns>
            事後条件を満たすかどうか
            </returns>
        </member>
        <member name="T:Kodama.DbC.Constraint.ConstraintInterceptor">
            <summary>
            ConstraintInterceptor の概要の説明です。
            </summary>
        </member>
        <member name="M:Kodama.DbC.Constraint.ConstraintInterceptor.Invoke(Kodama.Aop.JoinPoint.MethodInvocation,System.Object[]@)">
            <summary>
            JoinPointが呼び出されると、このメソッドが割り込みます
            </summary>
            <param name="invocation">呼び出されたメソッド</param>
            <param name="outArguments">メソッドのout引数</param>
            <returns>メソッドの戻り値</returns>
        </member>
    </members>
</doc>
